#include<iostream>
using namespace std;
int main()
{
    int n,k,brojp=0,p,probno,t;
    cin>>n>>k;
    t=n/k;
    p=2*n+1;
    int x[n],y[p],z[t];
    for(int i=1;i<=n;i++){

        cin>>x[i];
       
    }
    for(int j=-n;j<=n;j++){
        y[j]=j; 
    }
    for(int r=-n;r<=n;r++){
        probno=0;
        int o=1;
        for(int u=1;u<=n;u++){
            if(y[r]==x[u]){
                probno++;
            }
            if(probno==k){
                z[o]=y[r];
                brojp++;
                o++;
            }
        }
    }
    cout<<brojp;
    for(int e=0;e<t;e++){
        cout<<z[e];
    }
    return 0;
}